<?php

namespace App\Models;

use Backpack\CRUD\app\Models\Traits\CrudTrait;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Classroom extends Model
{
    use CrudTrait;
    use HasFactory;

    protected $guarded = ['id'];


    public static function weekDayOptions(): array
    {
        return [
            '2' => __('app.week_day.monday'),
            '3' => __('app.week_day.tuesday'),
            '4' => __('app.week_day.wednesday'),
            '5' => __('app.week_day.thursday'),
            '6' => __('app.week_day.friday'),
            '7' => __('app.week_day.saturday'),
            '8' => __('app.week_day.sunday'),
        ];
    }

    public function setBranchAttribute()
    {
        $this->attributes['branch'] = backpack_user()->branch;
    }

    protected static function boot()
    {
        parent::boot(); // TODO: Change the autogenerated stub
        static::addGlobalScope('branch', function ($builder) {
            $builder->where('branch', backpack_user()->branch);
        });
    }
}
